Subject: Re: [regext] review draft-ietf-regext-change-poll

From: "Gould, James" <[email-masked]>
Date: Tue, 22 Aug 2017 18:29:35 +0000

Jack,

I’m glad that you see value in the use of draft-ietf-regext-change-poll.  For a DNSSEC change of a domain, my recommendation is to leverage the domain mapping (domain info response) that would include the DNSSEC extension according to RFC 5910 and include the change poll extension with the following element values:

operation = update
date = date and time of change
server transfer identifier = server transaction identifier associated with the change
who = identifier, name, or role of user that made the change depending on the result of the <changePoll:who> element thread (DNS Operator User or Registry User).    
reason = CDS or CDNSKEY instructions

I don’t believe a DS/DNSKEY example is necessary, since draft-ietf-regext-change-poll is only providing the meta-data (what, when, who, and why) about the change that occurred.  If it is material, a sample can certainly be added.  

Thanks,
  
—
 
JG

James Gould
Distinguished Engineer
[email-masked]

703-948-3271
12061 Bluemont Way
Reston, VA 20190

Verisign.com <http://verisigninc.com/> 

On 8/22/17, 11:30 AM, "regext on behalf of Jacques Latour" <[email-masked] on behalf of [email-masked]> wrote:

    I like this, reading for the first time, this is what we need to notify the registrar when DNSSEC information is changed for a domain at the registry by the DNS Operator or the registry itself.
    
    Type: Create/Delete DNSSEC DS or DNSKEY 
    Who: DNS Operator Name or the Registry itself.
    Reason:  CDS or CDNSKEY instructions
    
    Should the document have notification examples of adding or deleting a DS/DNSKEY records?
    
    Jack
    
    -----Original Message-----
    From: regext [mailto:[email-masked]] On Behalf Of Hollenbeck, Scott
    Sent: Tuesday, August 22, 2017 7:06 AM
    To: [email-masked]' <[email-masked]>; [email-masked]' <[email-masked]>
    Subject: Re: [regext] review draft-ietf-regext-change-poll
    
    I talked to Jim Gould about this feedback yesterday. We didn't reach a conclusion, so I'm throwing this to the list to see if anyone else cares and might have a preference for a change proposal.
    
    In Section 2.1 there's a description of the "custom" operation and how it uses an attribute named "op", but I can't find anything that describes the possible values for the attribute.
    
    Section 2.2 talks about "Who" values, and it describes three different forms that MAY be used. The document says that "the possible set of Who values is up to server policy", and the Schema data type for the value is a length-restricted normalizedString. That all means that there's really no way to determine if a value is an Identifier, a Name, a Role or anything else (if it matters) and there's no way for a client to determine which is being used by a server. There's also no text I can find that explains how the value for this field is set.
    
    My concern is that these unspecified bits might make it more difficult for clients and servers to develop interoperable implementations. Does it matter?
    
    Scott
    
    > -----Original Message-----
    > From: regext [mailto:[email-masked]] On Behalf Of James 
    > Galvin
    > Sent: Friday, August 18, 2017 9:57 AM
    > To: Registration Protocols Extensions <[email-masked]>
    > Subject: [EXTERNAL] [regext] review draft-ietf-regext-change-poll
    >
    > As the working group discussed at the last IETF meeting, the authors 
    > believe the following document is stable and ready for final review.
    >
    > https://datatracker.ietf.org/doc/draft-ietf-regext-change-poll/
    >
    > The chairs would like to ask for at least 3 people (other than the
    > authors) to indicate they have read this document and agree that it is 
    > ready for publication.
    >
    > Please reply to this message if you have any comments or questions, or 
    > if you agree the document is ready for publication.
    >
    > Thanks,
    >
    > Antoin and Jim
    >
    > _______________________________________________
    > regext mailing list
    > [email-masked]
    > https://www.ietf.org/mailman/listinfo/regext
    
    _______________________________________________
    regext mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/regext
    
    _______________________________________________
    regext mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/regext